Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 599024 - Wrong macro usage in libesmtp.spec - %{version} should be used instead of %{_version}
Summary: Wrong macro usage in libesmtp.spec - %{version} should be used instead of %{_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libesmtp
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Alex Sersen
URL:
Whiteboard:
Depends On:
Blocks: 593740
TreeView+ depends on / blocked
 
Reported: 2010-06-02 14:32 UTC by Jaroslav Škarvada
Modified: 2013-11-01 01:33 UTC (History)
5 users (show)

Fixed In Version: libesmtp-1.0.4-14.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 599428 (view as bug list)
Environment:
Last Closed: 2010-11-10 22:09:39 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jaroslav Škarvada 2010-06-02 14:32:44 UTC
Description of problem:
In libesmtp.spec there is %{_version} macro that does not expand - the %{version} macro should be used instead. This typo leads to incorrect .pc file generation that results in wrong package provides and rpmdiff failure.

Version-Release number of selected component (if applicable):
1.0.4-13

How reproducible:
Always.

Steps to Reproduce:
1. Check spec file.
  
Actual results:
The %{_version} macro is used in spec file for .pc file template.

Expected results:
The %{version} macro should be used instead.

Comment 1 RHEL Product and Program Management 2010-06-02 14:45:54 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Jaroslav Škarvada 2010-06-04 11:50:15 UTC
Fixed in libesmtp-1.0.4-14.el6.

Comment 6 releng-rhel@redhat.com 2010-11-10 22:09:39 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.